%global srcname oslo.db

Name:           python-oslo-db
Version:        8.5.0
Release:        %mkrel 4
Summary:        Oslo Database library

Group:          Development/Python
License:        MIT
URL:            http://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/o/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Oslo Database library.

%package -n     python3-oslo-db
Summary:        Oslo Database library
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)
%{?python_provide:%python_provide python3-oslo-db}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-oslo-db
Oslo Database library.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

# relax pbr dependency
sed -i 's|pbr!=2.1.0,>=2.0.0|pbr>=2.0.0|' requirements.txt

%build
%py3_build

%install
%py3_install

%files -n python3-oslo-db
%license LICENSE
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python3_sitelib}/oslo.db-%{version}-py?.?.egg-info/
%{python3_sitelib}/oslo_db/



%changelog
* Fri Jan 29 2021 daviddavid <daviddavid> 8.5.0-4.mga8
+ Revision: 1674017
- revert commit r1673953, but relax python-pbr auto-dependency

* Fri Jan 29 2021 neoclust <neoclust> 8.5.0-3.mga8
+ Revision: 1673953
- Let RPM handle the dependencies

* Fri Jan 29 2021 neoclust <neoclust> 8.5.0-2.mga8
+ Revision: 1673921
- Fix python3 package name

* Fri Jan 29 2021 neoclust <neoclust> 8.5.0-1.mga8
+ Revision: 1673915
- imported package python-oslo-db

